USN-1033-1: Eucalyptus vulnerability

Ubuntu Security Notice USN-1033-1

16th December, 2010

eucalyptus vulnerability

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 10.10

Summary

Unauthenticated users could reset passwords without email confirmation.

Software description

  • eucalyptus - Elastic Utility Computing Architecture

Details

It was discovered that Eucalyptus did not verify password resets from
the Admin UI correctly. An unauthenticated remote attacker could issue
password reset requests to gain admin privileges in the Eucalyptus
environment.

Update instructions

The problem can be corrected by updating your system to the following package version:

Ubuntu 10.10:
eucalyptus-java-common 2.0+bzr1241-0ubuntu4.1

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

In general, a standard system update will make all the necessary changes.

References

CVE-2010-3905